Add to Basket Compare Quick view Cisco Cisco Industrial Ethernet 2000 Series - Switch-10 Ports-Managed - DIN rail mountable MSRP: £1,863.30 Now: £1,552.75 Inc. VAT Was: MSRP: £1,552.75 Now: £1,293.96 Ex. VAT Was: MSRP: £1,863.30 Now: £1,552.75 Inc. VAT Was: MSRP: £1,552.75 Now: £1,293.96 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B093-004-2E4U-V RJ-45 console server MSRP: £1,881.84 Now: £1,568.20 Inc. VAT Was: MSRP: £1,568.20 Now: £1,306.83 Ex. VAT Was: Technical detailsColour of productBlackPackage width9.25" (234.9 mm)Package length7.52" (19.1 cm)Package height4.1" (104.1 mm)Rack mountingYesInternal modemYes< MSRP: £1,881.84 Now: £1,568.20 Inc. VAT Was: MSRP: £1,568.20 Now: £1,306.83 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-5048WS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Management featuresSwitch typeManagedWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportIP FORWARD TABLE MIB RFC 1354, RMON MIB RFC 1271, IPV4 MIB RFC 1213, IP MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Redundant Power System 2300 - power supply - redundant MSRP: £910.18 Now: £758.48 Inc. VAT Was: MSRP: £758.48 Now: £632.07 Ex. VAT Was: Power supply redundant ( rack-mountable ) 1U this is the chassis for the power supplies MSRP: £910.18 Now: £758.48 Inc. VAT Was: MSRP: £758.48 Now: £632.07 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Samsung Samsung SBB-B64DI4 64GB Ethernet LAN Black Smart TV box MSRP: £2,333.20 Now: £1,944.34 Inc. VAT Was: MSRP: £1,944.33 Now: £1,620.28 Ex. VAT Was: ProcessorProcessor modelRX425BBProcessor cores4Processor manufacturerAMDProcessor frequency2.5 GHzMemoryInternal memory4 MBInternal MSRP: £2,333.20 Now: £1,944.34 Inc. VAT Was: MSRP: £1,944.33 Now: £1,620.28 Ex. VAT Was: Add to Basket Compare Quick view
Compare Quick view Cisco Cisco Industrial Ethernet 2000 Series Switch 10 Ports Managed MSRP: £1,679.46 Now: £1,399.55 Inc. VAT Was: MSRP: £1,399.55 Now: £1,166.29 Ex. VAT Was: Main Specifications: Manufacturer Cisco Manufacturer Part # IE-2000-8TC-L Product Description Cisco Industrial Ethernet 2000 Series - Switch - managed - 6 x 10/100 + 2 x combo SFP - DIN rail... MSRP: £1,679.46 Now: £1,399.55 Inc. VAT Was: MSRP: £1,399.55 Now: £1,166.29 Ex. VAT Was: Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C3560CX-8TC-S Managed L3 Gigabit Ethernet (10/100/1000) White network switch MSRP: £1,786.56 Now: £1,488.80 Inc. VAT Was: MSRP: £1,488.80 Now: £1,240.67 Ex. VAT Was: MSRP: £1,786.56 Now: £1,488.80 Inc. VAT Was: MSRP: £1,488.80 Now: £1,240.67 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco WS-C3560CX-8PC-S Managed network switch Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE MSRP: £1,837.60 Now: £1,531.33 Inc. VAT Was: MSRP: £1,531.33 Now: £1,276.11 Ex. VAT Was: Management featuresARP inspectionYesSwitch typeManaged network switchQuality of Service (QoS) supportYesMulticast supportYesPorts & interfacesSFP module slots quantity2Basic switching RJ-45 Ethernet... MSRP: £1,837.60 Now: £1,531.33 Inc. VAT Was: MSRP: £1,531.33 Now: £1,276.11 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B093-008-2E4U-M console server MSRP: £1,556.94 Now: £1,297.45 Inc. VAT Was: MSRP: £1,297.45 Now: £1,081.21 Ex. VAT Was: Access All Your Serial and Network Devices from Anywhere in the WorldThe B093-008-2E4U-M 8-port console server provides secure in-band (primary network) and out-of-band (alternate channel) remote... MSRP: £1,556.94 Now: £1,297.45 Inc. VAT Was: MSRP: £1,297.45 Now: £1,081.21 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HPE Aruba Hewlett Packard Enterprise Aruba 3810M 4-port Stacking Module network switch module MSRP: £1,277.30 Now: £1,064.42 Inc. VAT Was: MSRP: £1,064.42 Now: £887.02 Ex. VAT Was: MSRP: £1,277.30 Now: £1,064.42 Inc. VAT Was: MSRP: £1,064.42 Now: £887.02 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B093-008-2E4U console server MSRP: £1,256.56 Now: £1,047.13 Inc. VAT Was: MSRP: £1,047.13 Now: £872.61 Ex. VAT Was: Access All Your Serial and Network Devices from Anywhere in the WorldThe B093-008-2E4U 8-port console server provides secure in-band (primary network) and out-of-band (alternate channel) remote... MSRP: £1,256.56 Now: £1,047.13 Inc. VAT Was: MSRP: £1,047.13 Now: £872.61 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-5240WS Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network switch MSRP: £771.84 Now: £643.20 Inc. VAT Was: MSRP: £643.20 Now: £536.00 Ex. VAT Was: Management featuresWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportYesPorts & interfacesBasic switching RJ-45 Etherne MSRP: £771.84 Now: £643.20 Inc. VAT Was: MSRP: £643.20 Now: £536.00 Ex. VAT Was: Add to Basket Compare Quick view